import request from "@/util/request";

//queryArt
export function queryArt() {
  return request({
    url: "/art/q",
    method: "get",
  });
}
//addArt
export function addArt(data) {
  return request({
    url: "/art/add",
    method: "post",
    data,
  });
}
// queryArtInfo
export function queryArtInfo(id) {
  return request({
    url: "/art/getInfoById?id=" + id,
    method: "get",
  });
}
// myArti
export function myArti() {
  return request({
    url: "/art/myArticle",
    method: "get",
  });
}


// deleteArti
export function deleteArti(id) {
  return request({
    url: "/art/article?id=" + id,
    method: "delete",
  });
}

// updArt
export function updArt(data) {
  return request({
    url: "/art/article",
    method: "put",
    data,
  });
}